import { statSync } from 'fs';
import path from 'path';

function localResolver() {
  return {
    resolveId: function (importee, importer) {
      if (importee && importer) {
        var basename = path.basename(importer);
        var directory = importer.split(basename)[0];

        var dirIndexFile = './' + path.join(directory + importee, 'index.js');

        // TODO: This should be asynchronous
        var stats = statSync(dirIndexFile);

        if (stats.isFile()) {
          return dirIndexFile;
        }

        return null;
      }

      return importee;
    }
  };
}

export default localResolver;